integral_constant.hpp File Reference

Adapts `std::integral_constant` for use with Hana. More...

## Classes

struct | std::integral_constant< T, v >
| Adapter for `std::integral_constant`s. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Adapts `std::integral_constant` for use with Hana.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)